'''盒子管理器'''
from .box import AyakaBox, get_box, box_list

box = AyakaBox("盒子管理器")
'''盒子管理器'''


@box.on_cmd(cmds="盒子帮助", always=True)
async def show_help():
    '''展示盒子帮助'''
    if box.arg:
        name = str(box.arg)
        if name == "全部":
            infos = [b.help for b in box_list]
            await box.send_many(infos)
            return

        b = get_box(name)
        if b:
            await box.send(b.help)
            return

    b = box.group.current_box
    if b:
        await box.send(b.help)
        return

    infos = [f"- [{b.name}]" for b in box_list]
    infos = [
        "已加载的盒子列表",
        *infos,
        "如果想获得进一步帮助请使用命令",
        "- 盒子帮助 <盒子名>",
        "- 盒子帮助 全部"
    ]
    await box.send("\n".join(infos))


@box.on_cmd(cmds="盒子状态", always=True)
async def show_state():
    '''展示盒子状态'''
    b = box.group.current_box
    if b:
        info = f"正在运行盒子[{b.name}]\n当前状态[{b.state}]"
    else:
        info = "当前没有任何盒子在运行"
    await box.send(info)
